%define		_class		Gtk
%define		_subclass	MDB
%define		upstream_name	%{_class}_%{_subclass}_Designer

%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.1
Release:	%mkrel 23
Summary:	An GTK+ Database schema designer
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Gtk_MDB_Designer/
Source0: 	http://pear.php.net/get//%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear
Requires:	php-pear-MDB >= 1.1.1, 
Requires:	php-pear-XML_Parser >= 1.0.1
Requires:	php
BuildArch:	noarch


%description
A graphical database schema designer, based loosely around the MDB schema.
It features
  - table boxes which are dragged around a window to layout your database
  - add/delete tables
  - add delete columns
  - support for NotNull, Indexes, Sequences , Unique Indexes and  defaults
  - works totally in non-connected mode (eg. no database or setting up required)  
  - stores in MDB like xml file.
  - saves to any supported database SQL create tables files.
  - screenshots at http://devel.akbkhome.com/Gtk_MDB/
Future enhancements: 
  - real MDB schema exports 
  - relationships = with lines etc.
Note: the primary aim is to generate SQL files,however it is eventually planned 
to support MDB schema's fully.. - just a matter of time..
To use - just run gtkmdbdesigner


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Gtk_MDB_Designer.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Gtk_MDB_Designer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Gtk_MDB_Designer
fi

%files
%{peardir}/*
%{_bindir}/gtkmdbdesigner
%{xmldir}/Gtk_MDB_Designer.xml


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.1-23.mga8
+ Revision: 1519961
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.1-22.mga7
+ Revision: 1325845
- updated requirements

* Wed Sep 19 2018 umeabot <umeabot> 0.1-21.mga7
+ Revision: 1273206
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.1-20.mga6
+ Revision: 951880
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 spuhler <spuhler> 0.1-19.mga5
+ Revision: 809382
- removed Requires: php-gtk2
 * we obsoleted this not working packages
- pearized spec file
- removed php-gtk2 patch

* Wed Oct 15 2014 umeabot <umeabot> 0.1-18.mga5
+ Revision: 750345
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.1-17.mga5
+ Revision: 725188
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-16.mga5
+ Revision: 687260
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-15.mga4
+ Revision: 516716
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1-14.mga3
+ Revision: 376192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.1-13.mga1
+ Revision: 47435
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Gtk_MDB_Designer


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-13mdv2011.0
+ Revision: 613664
- the mass rebuild of 2010.1 packages

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-12mdv2010.1
+ Revision: 478682
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.1-11mdv2010.0
+ Revision: 441107
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1-10mdv2009.1
+ Revision: 322047
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-9mdv2009.0
+ Revision: 236846
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - description is not a TODO list

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-8mdv2008.0
+ Revision: 94911
- attempt to make it use php-gtk2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2007.0
+ Revision: 81598
- Import php-pear-Gtk_MDB_Designer

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package (PLD import)

